Page MenuHomePhabricator

Establish blubber config in mathoid
Closed, ResolvedPublic

Description

After gathering requirements for the build manifest specifications, blubber should be able to build a mathoid container image.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 11 2017, 6:07 PM
thcipriani triaged this task as Medium priority.Aug 30 2017, 4:18 PM
thcipriani moved this task from Backlog to Doing on the Release Pipeline (Blubber) board.

Change 376319 had a related patch set uploaded (by Dduvall; owner: Dduvall):
[mediawiki/services/mathoid@master] Experimental Blubber and Helm configurations

https://gerrit.wikimedia.org/r/376319

dduvall renamed this task from Build mathoid container via blubber to Experiment with blubber/helm config in mathoid.Oct 16 2017, 5:30 PM
dduvall renamed this task from Experiment with blubber/helm config in mathoid to Establish blubber config in mathoid.Nov 14 2017, 11:43 PM
dduvall changed the task status from Open to Stalled.Nov 14 2017, 11:45 PM
dduvall claimed this task.

Narrowed the scope to just the Blubber config. Currently blocked on T180524: Upgrade latest docker-registry.wikimedia.org/nodejs-devel to stretch.

thcipriani changed the task status from Stalled to Open.Dec 7 2017, 3:46 PM

Is there a step by step guide how to test mathoid with blubber. I found https://github.com/marxarelli/blubber, but I was not entirely sure what to install on my Linux development computer?

Is there a step by step guide how to test mathoid with blubber. I found https://github.com/marxarelli/blubber, but I was not entirely sure what to install on my Linux development computer?

The canonical repository is now on phabricator at https://phabricator.wikimedia.org/source/blubber/ which has a bit more info.

I made a page on wikitech just now that details install and use a bit more than the blubber README and should be what you need: https://wikitech.wikimedia.org/wiki/Blubber

Let me know if you have problems or questions. Thanks for asking about this!

thcipriani closed this task as Resolved.Dec 18 2017, 5:52 PM

we've got a blubber.yaml in mathiod now

Change 376319 abandoned by Dduvall:
Experimental Blubber and Helm configurations

Reason:
Superseded by I1b872c36d9b5c343a212bff2515f237c6c5dbb01 and I60b15718ec25dbb80fe2b205e610b632d55bdf35

https://gerrit.wikimedia.org/r/376319